'''
setup routine for CFchecker install
'''

from distutils.core import setup
from distutils.command.install import INSTALL_SCHEMES

import CFchecker

for scheme in INSTALL_SCHEMES.values():
    scheme['data'] = scheme['purelib']


setup(name='CFchecker',
      version=CFchecker.__version__,
      description='CF-NetCDF conformity checker',
      author='Michael Decker',
      author_email='m DOT decker AT fz-juelich DOT de',
      url='https://repositories.iek.fz-juelich.de/hg/CFchecker/',
      license='GPLv2',
      packages=['CFchecker'],
      scripts = ['cfchecker'],
      data_files=[('CFchecker/data', ['CFchecker/data/cf-standard-name-table.xml','CFchecker/data/area-type-table.xml'])],
      provides='CFchecker'
     )
